It may be time for ITMU

I just heard about a Microsoft KB article posted back in September. It seems that MBSA 1.2.1 does not support IE7. As a result, if you have IE7 installed and you’re using the Security Update Inventory Tool for SMS (based on MBSA 1.2.1) than IE patches might be repeatedly advertised to your computer.
I haven’t noticed this problem yet, but it certainly puts a new light on how I view users installing IE7 on their own, and also the relative importance of upgrading our SMS implementation to use the newer ITMU scanner.
I checked my email logs to see if our Microsoft Technical Account Manager had warned us about this. No email from him, but I did get an alert from kbalertz